import 'dart:convert';

import 'package:http/http.dart';
import 'package:http/http.dart' as http;

import '../../mhsl_api.dart';
import 'remove_custom_timetable_event_params.dart';

class RemoveCustomTimetableEvent extends MhslApi<void> {
  RemoveCustomTimetableEventParams params;

  RemoveCustomTimetableEvent(this.params)
    : super('server/timetable/customEvents');

  @override
  void assemble(String raw) {}

  @override
  Future<Response>? request(Uri uri) =>
      http.delete(uri, body: jsonEncode(params.toJson()));
}
